package nxm.sys.intr;

import nxm.sys.lib.Intrinsic;

/**
  Handles starting a macro subroutine.

  @author Jeff Schoen

  @see Return
  @see Procedure
  @see nxm.sys.lib.Macro
*/
public class Subroutine extends Intrinsic {

  /** default constructor */
  public Subroutine () {}

  public int process() {
    if (M.macro == null) {
      M.error("No macro executing ...");
      return (FINISH);
    }

    return (FINISH);
  }
}

